///////////////////////////////////////////////////////////////////////////
//   Copyright (C) 2006  Fabrice Gangler
//   www.drop-zone-city.com
//
//    fichier _SPIP-Boucle-Generator_DATA.js
//    pour l'assitant SPIP Web generator
//    gnrer  partir du fichier syntax-SPIP.xml
//     - spip_version : 1.9
//     - spip_version_base : 
//     - version_syntaxe : 0.84
//     - maj : 2006-06-30
//
///////////////////////////////////////////////////////////////////////////


// SPIP Rference - BOUCLES / BALISES    
///////////////////////////////////////////////////////////////////////////

var tab_BOUCLE = new Array ;


tab_BOUCLE [0] = new Array();
tab_BOUCLE [0]['NAME'] = 'RUBRIQUES' ;
tab_BOUCLE [0]['Selection'] = new Array ('tout', 'id_rubrique', 'id_secteur', 'racine', 'id_parent', 'id_enfant', 'meme_parent', 'branche', 'recherche', 'id_mot', 'id_groupe', 'titre_mot', 'type_mot', 'lang') ;
tab_BOUCLE [0]['Affichage'] = new Array ('inverse', 'par_hasard', 'exclus', 'doublons', 'pagination') ;
tab_BOUCLE [0]['Balise'] = new Array ('ID_RUBRIQUE', 'TITRE', 'DESCRIPTIF', 'TEXTE', 'ID_SECTEUR', 'LANG', 'NOTES', 'INTRODUCTION', 'URL_RUBRIQUE', 'DATE', 'FORMULAIRE_FORUM', 'PARAMETRES_FORUM', 'FORMULAIRE_SITE', 'LOGO_RUBRIQUE', 'LOGO_RUBRIQUE_NORMAL', 'LOGO_RUBRIQUE_SURVOL', 'PAGINATION', 'ANCRE_PAGINATION', 'EXPOSE') ;

tab_BOUCLE [1] = new Array();
tab_BOUCLE [1]['NAME'] = 'HIERARCHIE' ;
tab_BOUCLE [1]['Selection'] = new Array ('tout', 'id_rubrique', 'id_article') ;
tab_BOUCLE [1]['Affichage'] = new Array ('inverse', 'par_hasard', 'exclus', 'doublons') ;
tab_BOUCLE [1]['Balise'] = new Array () ;

tab_BOUCLE [2] = new Array();
tab_BOUCLE [2]['NAME'] = 'ARTICLES' ;
tab_BOUCLE [2]['Selection'] = new Array ('tout', 'id_article', 'id_rubrique', 'id_secteur', 'branche', 'id_auteur', 'id_mot', 'id_groupe', 'titre_mot', 'type_mot', 'recherche', 'lang', 'date', 'statut', 'statut=prepa', 'statut=prop') ;
tab_BOUCLE [2]['Affichage'] = new Array ('inverse', 'par_hasard', 'exclus', 'doublons', 'pagination') ;
tab_BOUCLE [2]['Balise'] = new Array ('ID_RUBRIQUE', 'ID_SECTEUR', 'ID_ARTICLE', 'SURTITRE', 'TITRE', 'SOUSTITRE', 'DESCRIPTIF', 'CHAPO', 'TEXTE', 'PS', 'NOM_SITE', 'URL_SITE', 'DATE', 'DATE_REDAC', 'DATE_MODIF', 'VISITES', 'POPULARITE', 'LANG', 'NOTES', 'INTRODUCTION', 'LESAUTEURS', 'URL_ARTICLE', 'FORMULAIRE_FORUM', 'PARAMETRES_FORUM', 'PETITION', 'FORMULAIRE_SIGNATURE', 'FORMULAIRE_ECRIRE_AUTEUR', 'LOGO_ARTICLE', 'LOGO_ARTICLE_RUBRIQUE', 'LOGO_RUBRIQUE', 'LOGO_ARTICLE_NORMAL', 'LOGO_ARTICLE_SURVOL', 'PAGINATION', 'ANCRE_PAGINATION', 'EXPOSE') ;

tab_BOUCLE [3] = new Array();
tab_BOUCLE [3]['NAME'] = 'BREVES' ;
tab_BOUCLE [3]['Selection'] = new Array ('tout', 'id_rubrique', 'id_breve', 'id_mot', 'id_groupe', 'titre_mot', 'type_mot', 'recherche', 'lang') ;
tab_BOUCLE [3]['Affichage'] = new Array ('inverse', 'par_hasard', 'exclus', 'doublons') ;
tab_BOUCLE [3]['Balise'] = new Array ('ID_BREVE', 'TITRE', 'DATE', 'TEXTE', 'NOM_SITE', 'URL_SITE', 'ID_RUBRIQUE', 'LANG', 'NOTES', 'INTRODUCTION', 'URL_BREVE', 'FORMULAIRE_FORUM', 'PARAMETRES_FORUM', 'LOGO_BREVE', 'LOGO_BREVE_RUBRIQUE') ;

tab_BOUCLE [4] = new Array();
tab_BOUCLE [4]['NAME'] = 'DOCUMENTS' ;
tab_BOUCLE [4]['Selection'] = new Array ('tout', 'id_rubrique', 'id_article', 'id_breve') ;
tab_BOUCLE [4]['Affichage'] = new Array ('doublons', 'mode = document', 'mode = image', 'extension =') ;
tab_BOUCLE [4]['Balise'] = new Array ('LOGO_DOCUMENT', 'URL_DOCUMENT', 'TITRE', 'DESCRIPTIF', 'FICHIER', 'ID_DOCUMENT', 'TYPE_DOCUMENT', 'TAILLE', 'LARGEUR', 'HAUTEUR', 'EMBED_DOCUMENT') ;

tab_BOUCLE [5] = new Array();
tab_BOUCLE [5]['NAME'] = 'MOTS' ;
tab_BOUCLE [5]['Selection'] = new Array ('tout', 'id_mot', 'id_groupe', 'id_article', 'id_rubrique', 'id_breve', 'id_syndic', 'id_forum', 'titre =', 'type =') ;
tab_BOUCLE [5]['Affichage'] = new Array ('inverse', 'par_hasard', 'exclus', 'doublons') ;
tab_BOUCLE [5]['Balise'] = new Array ('ID_MOT', 'TITRE', 'DESCRIPTIF', 'TEXTE', 'TYPE', 'LOGO_MOT', 'URL_MOT', 'EXPOSE') ;

tab_BOUCLE [6] = new Array();
tab_BOUCLE [6]['NAME'] = 'GROUPES_MOTS' ;
tab_BOUCLE [6]['Selection'] = new Array ('id_groupe', 'type') ;
tab_BOUCLE [6]['Affichage'] = new Array ('inverse', 'par_hasard', 'exclus', 'doublons') ;
tab_BOUCLE [6]['Balise'] = new Array ('ID_GROUPE', 'TITRE') ;

tab_BOUCLE [7] = new Array();
tab_BOUCLE [7]['NAME'] = 'AUTEURS' ;
tab_BOUCLE [7]['Selection'] = new Array ('tout', 'id_auteur', 'id_article', 'lang', 'lang_select') ;
tab_BOUCLE [7]['Affichage'] = new Array ('inverse', 'par_hasard', 'exclus', 'doublons') ;
tab_BOUCLE [7]['Balise'] = new Array ('ID_AUTEUR', 'NOM', 'BIO', 'EMAIL', 'NOM_SITE', 'URL_SITE', 'PGP', 'LANG', 'NOTES', 'LOGO_AUTEUR', 'LOGO_AUTEUR_NORMAL', 'LOGO_AUTEUR_SURVOL', 'FORMULAIRE_ECRIRE_AUTEUR', 'URL_AUTEUR', 'EXPOSE') ;

tab_BOUCLE [8] = new Array();
tab_BOUCLE [8]['NAME'] = 'SIGNATURES' ;
tab_BOUCLE [8]['Selection'] = new Array ('tout', 'id_article', 'id_signature') ;
tab_BOUCLE [8]['Affichage'] = new Array ('inverse', 'par_hasard', 'exclus', 'doublons') ;
tab_BOUCLE [8]['Balise'] = new Array ('ID_SIGNATURE', 'ID_ARTICLE', 'DATE', 'MESSAGE', 'NOM', 'EMAIL', 'NOM_SITE', 'URL_SITE') ;

tab_BOUCLE [9] = new Array();
tab_BOUCLE [9]['NAME'] = 'FORUMS' ;
tab_BOUCLE [9]['Selection'] = new Array ('tout', 'id_forum', 'id_rubrique', 'id_secteur', 'id_article', 'id_breve', 'id_syndic', 'id_parent', 'id_enfant', 'meme_parent', 'id_thread', 'id_mot', 'id_groupe', 'titre_mot', 'type_mot') ;
tab_BOUCLE [9]['Affichage'] = new Array ('inverse', 'par_hasard', 'exclus', 'doublons') ;
tab_BOUCLE [9]['Balise'] = new Array ('ID_FORUM', 'ID_THREAD', 'URL_FORUM', 'ID_BREVE', 'ID_RUBRIQUE', 'ID_ARTICLE', 'ID_SYNDIC', 'TITRE', 'DATE', 'TEXTE', 'NOM_SITE', 'URL_SITE', 'NOM', 'EMAIL', 'IP', 'FORMULAIRE_FORUM', 'PARAMETRES_FORUM', 'FORMULAIRE_ECRIRE_AUTEUR') ;

tab_BOUCLE [10] = new Array();
tab_BOUCLE [10]['NAME'] = 'SITES' ;
tab_BOUCLE [10]['Selection'] = new Array ('tout', 'id_syndic', 'id_rubrique', 'id_secteur', 'id_mot', 'id_groupe', 'titre_mot', 'type_mot') ;
tab_BOUCLE [10]['Affichage'] = new Array ('inverse', 'par_hasard', 'exclus', 'doublons', 'moderation = oui', 'moderation != oui', 'syndication = oui', 'syndication = non') ;
tab_BOUCLE [10]['Balise'] = new Array ('ID_SYNDIC', 'NOM_SITE', 'URL_SITE', 'URL_SYNDIC', 'DESCRIPTIF', 'ID_RUBRIQUE', 'ID_SECTEUR', 'LOGO_SITE', 'FORMULAIRE_FORUM', 'PARAMETRES_FORUM') ;

tab_BOUCLE [11] = new Array();
tab_BOUCLE [11]['NAME'] = 'SYNDIC_ARTICLES' ;
tab_BOUCLE [11]['Selection'] = new Array ('tout', 'id_syndic_article', 'id_syndic', 'id_rubrique', 'id_secteur') ;
tab_BOUCLE [11]['Affichage'] = new Array ('inverse', 'par_hasard', 'exclus', 'doublons') ;
tab_BOUCLE [11]['Balise'] = new Array ('ID_SYNDIC_ARTICLE', 'ID_SYNDIC', 'TITRE', 'DESCRIPTIF', 'URL_ARTICLE', 'DATE', 'LESAUTEURS', 'NOM_SITE', 'URL_SITE', 'TAGS', 'SOURCE', 'URL_SOURCE') ;


tab_BOUCLE ['FORMULAIRE'] = new Array();
tab_BOUCLE ['FORMULAIRE']['Balise'] = new Array ('LOGIN_PRIVE', 'LOGIN_PUBLIC', 'FORMULAIRE_ADMIN', 'FORMULAIRE_INSCRIPTION', 'FORMULAIRE_RECHERCHE', 'FORMULAIRE_FORUM', 'FORMULAIRE_SIGNATURE', 'FORMULAIRE_SITE', 'FORMULAIRE_ECRIRE_AUTEUR', 'POPULARITE_ABSOLUE', 'POPULARITE', 'POPULARITE_MAX', 'POPULARITE_SITE') ;

tab_BOUCLE ['SITE_SPIP'] = new Array();
tab_BOUCLE ['SITE_SPIP']['Balise'] = new Array ('DOSSIER_SQUELETTE', 'CHEMIN{}', 'CHARSET', 'PUCE', 'NOM_SITE_SPIP', 'URL_SITE_SPIP', 'LOGO_SITE_SPIP', 'DESCRIPTIF_SITE_SPIP', 'EMAIL_WEBMASTER', 'CONFIG', 'CACHE{3600}', 'HTTP_HEADER{Content-Type: text/css}', 'SPIP_CRON', 'SELF', 'ENV{xxxx,zzzz}', 'EVAL{}', 'URL_LOGOUT', 'RECHERCHE', 'POINTS', 'DEBUT_SURLIGNE', 'FIN_SURLIGNE') ;

